/////////////////////////////////////////////////
// ADHÉSION
// [DOMAIN]/inscription
/////////////////////////////////////////////////

/////////////////////////////////////////////////
// LOGGING
/////////////////////////////////////////////////
const logger = require("../public/js/app/logger_wuzuki");

/////////////////////////////////////////////////
// APPELS DES MODULES
/////////////////////////////////////////////////
const express = require('express');
const router = express.Router();
const moment = require('moment');

/////////////////////////////////////////////////
// APPELS DES FONCTIONS
/////////////////////////////////////////////////
const {
    post_form_don,
    don_accompte_reussi,
    don_accompte_annule,
    test_weasyprint
} = require("../controllers/donController");

/////////////////////////////////////////////////
// ROUTES
/////////////////////////////////////////////////

// 1 - Saisie des informations
router.get('/', function(req, res) {
    logger.info("on est dans la page web /don (donrouter.js)", { numsession: req.session.id });

    // AFFICHER LES VARIABLES CONTENANT LES ERREURS
    if (req.session.affiche_err_1) {
        res.locals.affiche_err_1 = req.session.affiche_err_1;
        // on supprime le contenu après affichage
        req.session.affiche_err_1 = undefined;
    }

    res.locals.dirname = __dirname;

    // affichage du template ejs /views/page_templates/formulaire_adhesion_mail.ejs
    res.render('don/page_templates/formulaire_don');
});

// 2 - Récupérer et traiter les informations
router.post('/', post_form_don);

// 3 - RETOUR STRIPE
router.get('/paiement_reussi', don_accompte_reussi);
router.get('/paiement_annule', don_accompte_annule);



// TEST WEASYPRINT
router.get('/test', test_weasyprint);






/////////////////////////////////////////////////
// EXPORT DE MODULE POUR QU'IL SOIT LU DANS LES AUTRES FICHIERS JS
/////////////////////////////////////////////////
module.exports = router;